<script lang="ts">
import Vue from "vue";
import { Splitpanes, Pane } from 'splitpanes'
import 'splitpanes/dist/splitpanes.css'

import MessageLog from '@/components/MessageLog.vue'
import {getConnection} from '@/plugins/connect'

export default Vue.extend({
	name: "App",
	components: { Splitpanes, Pane, MessageLog },
	mounted : async ()=>{

	},
	data: () => ({
		
	}),
});
</script>

<template>
	<v-app>
		<v-app-bar app color="primary" dark>
			<div class="d-flex align-center">
				<v-img
					alt="Vuetify Logo"
					class="shrink mr-2"
					contain
					src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
					transition="scale-transition"
					width="40" />

				<v-img
					alt="Vuetify Name"
					class="shrink mt-1 hidden-sm-and-down"
					contain
					min-width="100"
					src="https://cdn.vuetifyjs.com/images/logos/vuetify-name-dark.png"
					width="100" />
			</div>

			<v-spacer></v-spacer>

			<v-btn
				href="https://github.com/vuetifyjs/vuetify/releases/latest"
				target="_blank"
				text>
				<span class="mr-2">Latest Release</span>
				<v-icon>mdi-open-in-new</v-icon>
			</v-btn>
		</v-app-bar>

		<v-main>
			<splitpanes class="default-theme">
				<pane>
					<router-view />
				</pane>
				<pane class="msglog">
					<MessageLog></MessageLog>
				</pane>
			</splitpanes>
		</v-main>
	</v-app>
</template>

<style scoped>
body, html{
	height: 100%;
}
.msglog{
    display: flex;
    flex-flow: column;
    /* height: 100%; */
	height: calc(100vh - 64px);
}
</style>
